Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 4582)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 4583)
@@ -479,29 +466,27 @@
           mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j+1,i), 0 ) )
 !
-!--       Finally, determine flag to mask both topography itself as well
-!--       as wall-bounded grid points, which will be treated further below
-
-          tend(k,j,i) = tend(k,j,i)                                            &
-                                          + 0.5_wp * (                         &
-                            mask_east  * ( kh(k,j,i) + kh(k,j,i+1) )           &
-                                       * ( s(k,j,i+1) - s(k,j,i)   )           &
-                          - mask_west  * ( kh(k,j,i) + kh(k,j,i-1) )           &
-                                       * ( s(k,j,i)   - s(k,j,i-1) )           &
-                                                     ) * ddx2 * flag           &
-                                          + 0.5_wp * (                         &
-                            mask_north * ( kh(k,j,i) + kh(k,j+1,i) )           &
-                                       * ( s(k,j+1,i) - s(k,j,i)   )           &
-                          - mask_south * ( kh(k,j,i) + kh(k,j-1,i) )           &
-                                       * ( s(k,j,i)  - s(k,j-1,i)  )           &
+!--       Finally, determine flag to mask both topography itself as well as wall-bounded grid
+!--       points, which will be treated further below
+
+          tend(k,j,i) = tend(k,j,i)                                                                &
+                                          + 0.5_wp * (                                             &
+                            mask_east  * ( kh(k,j,i) + kh(k,j,i+1) )                               &
+                                       * ( s(k,j,i+1) - s(k,j,i)   )                               &
+                          - mask_west  * ( kh(k,j,i) + kh(k,j,i-1) )                               &
+                                       * ( s(k,j,i)   - s(k,j,i-1) )                               &
+                                                     ) * ddx2 * flag                               &
+                                          + 0.5_wp * (                                             &
+                            mask_north * ( kh(k,j,i) + kh(k,j+1,i) )                               &
+                                       * ( s(k,j+1,i) - s(k,j,i)   )                               &
+                          - mask_south * ( kh(k,j,i) + kh(k,j-1,i) )                               &
+                                       * ( s(k,j,i)  - s(k,j-1,i)  )                               &
                                                      ) * ddy2 * flag
        ENDDO
 
 !
-!--    Apply prescribed horizontal wall heatflux where necessary. First,
-!--    determine start and end index for respective (j,i)-index. Please
-!--    note, in the flat case following loops will not be entered, as
-!--    surf_s=1 and surf_e=0. Furtermore, note, no vertical natural surfaces
-!--    so far. 
-!--    First, for default-type surfaces
+!--    Apply prescribed horizontal wall heatflux where necessary. First, determine start and end
+!--    index for respective (j,i)-index. Please note, in the flat case following loops will not be
+!--    entered, as surf_s=1 and surf_e=0. Furtermore, note, no vertical natural surfaces so far.
+!--    First, for default-type surfaces.
 !--    North-facing vertical default-type surfaces
        surf_s = surf_def_v(0)%start_index(j,i)
@@ -604,34 +589,28 @@
 
 !
-!--    Compute vertical diffusion. In case that surface fluxes have been
-!--    prescribed or computed at bottom and/or top, index k starts/ends at
-!--    nzb+2 or nzt-1, respectively. Model top is also mask if top flux 
-!--    is given. 
+!--    Compute vertical diffusion. In case that surface fluxes have been prescribed or computed at
+!--    bottom and/or top, index k starts/ends at nzb+2 or nzt-1, respectively. Model top is also
+!--    mask if top flux is given.
        DO  k = nzb+1, nzt
 !
-!--       Determine flags to mask topography below and above. Flag 0 is 
-!--       used to mask topography in general, and flag 8 implies 
-!--       information about use_surface_fluxes. Flag 9 is used to control 
-!--       flux at model top.   
-          mask_bottom = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_total_0(k-1,j,i), 8 ) ) 
-          mask_top    = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_total_0(k+1,j,i), 8 ) )  *    &
-                        MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_total_0(k+1,j,i), 9 ) )
-          flag        = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_total_0(k,j,i), 0 ) )
-
-          tend(k,j,i) = tend(k,j,i)                                            &
-                                       + 0.5_wp * (                            &
-                                      ( kh(k,j,i) + kh(k+1,j,i) ) *            &
-                                          ( s(k+1,j,i)-s(k,j,i) ) * ddzu(k+1)  &
-                                                            * rho_air_zw(k)    &
-                                                            * mask_top         &
-                                    - ( kh(k,j,i) + kh(k-1,j,i) ) *            &
-                                          ( s(k,j,i)-s(k-1,j,i) ) * ddzu(k)    &
-                                                            * rho_air_zw(k-1)  &
-                                                            * mask_bottom      &
-                                                  ) * ddzw(k) * drho_air(k)    &
+!--       Determine flags to mask topography below and above. Flag 0 is used to mask topography in
+!--       general, and flag 8 implies information about use_surface_fluxes. Flag 9 is used to
+!--       control flux at model top.
+          mask_bottom = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k-1,j,i), 8 ) )
+          mask_top    = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k+1,j,i), 8 ) )  *        &
+                        MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k+1,j,i), 9 ) )
+          flag        = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
+
+          tend(k,j,i) = tend(k,j,i)                                                                &
+                                       + 0.5_wp * (                                                &
+                                      ( kh(k,j,i) + kh(k+1,j,i) ) *                                &
+                                          ( s(k+1,j,i)-s(k,j,i) ) * ddzu(k+1)                      &
+                                                            * rho_air_zw(k)                        &
+                                                            * mask_top                             &
+                                    - ( kh(k,j,i) + kh(k-1,j,i) ) *                                &
+                                          ( s(k,j,i)-s(k-1,j,i) ) * ddzu(k)                        &
+                                                            * rho_air_zw(k-1)                      &
+                                                            * mask_bottom                          &
+                                                  ) * ddzw(k) * drho_air(k)                        &
                                                               * flag
        ENDDO
@@ -649,6 +628,5 @@
              k   = surf_def_h(0)%k(m)
 
-             tend(k,j,i) = tend(k,j,i) + s_flux_def_h_up(m)                    &
-                                       * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + s_flux_def_h_up(m) * ddzw(k) * drho_air(k)
           ENDDO
 !
@@ -660,6 +638,5 @@
              k   = surf_def_h(1)%k(m)
 
-             tend(k,j,i) = tend(k,j,i) + s_flux_def_h_down(m)                  &
-                                       * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + s_flux_def_h_down(m) * ddzw(k) * drho_air(k)
           ENDDO
 !
@@ -670,6 +647,5 @@
              k   = surf_lsm_h%k(m)
 
-             tend(k,j,i) = tend(k,j,i) + s_flux_lsm_h_up(m)                    &
-                                       * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + s_flux_lsm_h_up(m) * ddzw(k) * drho_air(k)
           ENDDO
 !
@@ -680,6 +656,5 @@
              k   = surf_usm_h%k(m)
 
-             tend(k,j,i) = tend(k,j,i) + s_flux_usm_h_up(m)                    &
-                                       * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + s_flux_usm_h_up(m) * ddzw(k) * drho_air(k)
           ENDDO
        ENDIF
@@ -692,6 +667,5 @@
 
              k   = surf_def_h(2)%k(m)
-             tend(k,j,i) = tend(k,j,i)                                         &
-                           + ( - s_flux_t(m) ) * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + ( - s_flux_t(m) ) * ddzw(k) * drho_air(k)
           ENDDO
        ENDIF
